hdf_get_node(3)

NAME
hdf_get_node - Similar to hdf_get_obj except all the nodes are created if the don't exist.

SYNOPSIS

#include <util/neo_hdf.h>

NEOERR * hdf_get_node (HDF *hdf, const char *name, HDF **ret);

ARGUMENTS
hdf -> the dataset node to start from
name -> the name to walk to

DESCRIPTION
hdf_get_node is similar to hdf_get_obj, except instead of stopping if it can't find a node in the tree, it will create all of the nodes necessary to hand you back the node you ask for. Nodes are created with no value.

RETURN VALUE
ret -> the dataset node you asked for

SEE ALSO
hdf_set_symlink(3), hdf_get_valuef(3), compareFunc)(3), hdf_dump_str(3), hdf_get_int_value(3), hdf_read_string_ignore(3), hdf_copy(3), hdf_get_node(3), hdf_set_value(3), hdf_obj_child(3), hdf_read_string(3), hdf_set_buf(3), hdf_register_fileload(3), hdf_get_obj(3), hdf_get_attr(3), hdf_obj_top(3), hdf_dump_format(3), hdf_destroy(3), hdf_init(3), hdf_obj_value(3), hdf_write_string(3), hdf_set_valuevf(3), hdf_sort_obj(3), hdf_write_file_atomic(3), hdf_obj_attr(3), hdf_set_valuef(3), hdf_get_copy(3), hdf_write_file(3), hdf_get_valuevf(3), hdf_set_int_value(3), hdf_dump(3), hdf_get_value(3), hdf_set_copy(3), hdf_obj_next(3), hdf_search_path(3), hdf_obj_name(3), hdf_set_attr(3), hdf_get_child(3), hdf_remove_tree